Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » error: couldn't execute binary file(Eclipse won't start after first installtion)
error: couldn't execute binary file [message #1804037] Sat, 16 March 2019 14:07 Go to next message
Rainer Barth is currently offline Rainer BarthFriend
Messages: 3
Registered: March 2019
Junior Member
Hi,
I installed eclipse 4.9.1 on Arch Linux from official repositories via pacman -S eclipse. I'm on a 32Bit system. Together with eclipse I installed Java.
Starting eclipse from the terminal I get the message:
/usr/bin/eclipse: Zeile 3: /usr/lib/eclipse/eclipse: Kann die Binärdatei nicht ausführen: Fehler im Format der Programmdatei
/usr/bin/eclipse: Zeile 3: /usr/lib/eclipse/eclipse: Erfolg

English:
/usr/bin/eclipse: row 3: /usr/lib/eclipse/eclipse: can not execute binary file: format error in program file
/usr/bin/eclipse: row 3: /usr/lib/eclipse/eclipse: Success


Nothing happens! What about Java. I have java 11 installed on my system
java -version
openjdk version "11.0.2" 2018-10-16
OpenJDK Runtime Environment (build 11.0.2+7)
OpenJDK Server VM (build 11.0.2+7, mixed mode)


Do I have to install version 8 or what else can I do to get it run?

Thx!
Re: error: couldn't execute binary file [message #1804040 is a reply to message #1804037] Sat, 16 March 2019 14:35 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3478
Registered: July 2009
Senior Member

I'd suggest filing a bug in Arch's system as they're the ones who built and packaged that binary. Then, download the current version from download.eclipse.org.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: error: couldn't execute binary file [message #1804043 is a reply to message #1804040] Sat, 16 March 2019 17:06 Go to previous messageGo to next message
Rainer Barth is currently offline Rainer BarthFriend
Messages: 3
Registered: March 2019
Junior Member
Thank you for your quick response! Did I got you right, that there should be a current version on download.eclipse.org for 32Bit Linux? If so could you please point me to the correct site? I will see whether they can build an other version on Arch.
Re: error: couldn't execute binary file [message #1804051 is a reply to message #1804040] Sat, 16 March 2019 20:27 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 493
Registered: August 2014
Senior Member
Nitin Dahyabhai wrote on Sat, 16 March 2019 16:35
I'd suggest filing a bug in Arch's system as they're the ones who built and packaged that binary. Then, download the current version from download.eclipse.org.


Are you sure?

It seems that the 32 bit Linux support is gone, and the OP is using a 32 bit system.


--

Tauno Voipio
Re: error: couldn't execute binary file [message #1804061 is a reply to message #1804051] Sun, 17 March 2019 04:40 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3478
Registered: July 2009
Senior Member

That's true, 4.9.0/2018-09 seems to be the last one that was built for 32-bit. I'm not sure there was an official 4.9.1 release.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: error: couldn't execute binary file [message #1804074 is a reply to message #1804061] Sun, 17 March 2019 15:44 Go to previous messageGo to next message
Rainer Barth is currently offline Rainer BarthFriend
Messages: 3
Registered: March 2019
Junior Member
well I think that the version I was installing is a 32Bit one because all mirrors I use to install software are pointing to archlinux32.
Re: error: couldn't execute binary file [message #1804076 is a reply to message #1804061] Sun, 17 March 2019 16:30 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 493
Registered: August 2014
Senior Member
Nitin Dahyabhai wrote on Sun, 17 March 2019 06:40
That's true, 4.9.0/2018-09 seems to be the last one that was built for 32-bit. I'm not sure there was an official 4.9.1 release.


It seems that Photon (2018-06) is the last working 32-bit version. The September version commits suicide when run.

Any chance to get 32-bit Linux support back into platforms?


--

Tauno Voipio
Re: error: couldn't execute binary file [message #1804087 is a reply to message #1804076] Mon, 18 March 2019 05:52 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30372
Registered: July 2009
Senior Member
At this point, no, dropping the support was discussed on the cross-projects mailing list:

https://www.eclipse.org/lists/cross-project-issues-dev/msg15753.html

And the changes to remove the support are committed:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=536766

Unless some group with significant resource steps in to undo these changes and commits to long-term support for these things, then they are gone for good. I doubt any such group backed by the required long-term funding exists.
Previous Topic:Eclipse CDT functions
Next Topic:How to freeze RCP application
Goto Forum:
  


Current Time: Sun Aug 25 07:01:40 GMT 2019

Powered by FUDForum. Page generated in 0.03331 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top